Latest Redmine for Ubuntu 10.04

Added by Peter Roberts over 9 years ago

I have just installed Redmine on my 10.04 server.
Redmine is up and running but I have been having trouble getting email notification running.

I notice that the Redmine Ubuntu package is 0.9.3-1 and wonder if this has something to do with my problems.
Am I stuck with this issue or can I use someting newer?
If so how?

I cannot find any of the example email configuration files mentioned in the guides and guess that is because I am out of date.

I was also wondering about security issues in using sendmail or whatever sever. Configuring a mail server seems a big learning curve and so I was going to give SSMTP a try for notifications only and get upto speed with mail in slower time.

Replies (4)

RE: Latest Redmine for Ubuntu 10.04 - Added by Mischa The Evil over 9 years ago

Peter Roberts wrote:

I notice that the Redmine Ubuntu package is 0.9.3-1 and wonder if this has something to do with my problems.
Am I stuck with this issue or can I use someting newer?
If so how?

The default Redmine version provided by Ubuntu packages on Lucid Lynx (10.04) is 0.9.3 (see https://launchpad.net/ubuntu/+source/redmine), which itself is heavily outdated. The current and supported version is 1.2.2. You see the difference. That might be the cause of your issues because several mail options were implemented in later releases.
Note that these (kind of) packages are not maintained by the Redmine team.

The regular alternative for installing Redmine via system-packages is a manual installation of the source. This requires a working Ruby/Rails stack along with a database and a webserver. This also includes some sysadmin- and Ruby/Rails skills.
See RedmineInstall and Howtos for more information.

An more intermediate solution is to choose for a third-party Redmine bundle. Downsides of such can be the upgrades and possible customizations.

Hope this helps...

RE: Latest Redmine for Ubuntu 10.04 - Added by Peter Roberts over 9 years ago

Thanks, I will give it a go.
Do you know which version package Ubuntu 11.04 uses? Could not find.
May be easier for me to just create a new VM if 11.04 packages are good enough.

If not [[http://www.redmine.org/projects/redmine/wiki/HowToInstallRedmineOnUbuntuServer]]
seems quite detailed but a lot of typing!

RE: Latest Redmine for Ubuntu 10.04 - Added by Peter Roberts over 9 years ago

[[http://www.redmine.org/projects/redmine/wiki/HowToInstallRedmineOnUbuntuServer]]
is a very good guide. The author(s) have done well.

Have now got to the Subversion Integration section.
This section is written around a fresh install of Subversion, I have an existing Subversion setup running SSL. {Edit: typo removed}
I am not sure what is being attempted in many parts of the guide and therefore its going to take me a while to unpick.
Is there an 'adapt existing Subversion installation' guide?

RE: Latest Redmine for Ubuntu 10.04 - Added by Peter Roberts over 9 years ago

I am going close this issue and raise again as a Subversion question

(1-4/4)